Posts mentioning the server

get
/servers/:server_id/posts

Returns public posts with a visible mention of the specified server.

URL parameters

KeyValueExampleDescription
server_id
1
Server ID

Query parameters

KeyValueExampleDescription
limit
5
Number of items from 1 to 100, default 20
offset
0
Number of items to skip, minimum 0, default 0
search
admin
Search in posts, up to 120 characters

Response

JSON
{
  "response": [
    {
      "id": 1001,
      "comment": "Great server! Thanks to the admin team.",
      "conversation_post_id": null,
      "language": "en",
      "moderation_needed": false,
      "replays": 0,
      "reply_to_post_id": null,
      "views": 25,
      "updated_at": null,
      "created_at": 1783200000,
      "translated_content": null,
      "user": {
        "avatar": "no.jpg",
        "id": 204801,
        "username": "demo_user"
      },
      "images": [],
      "mentions": [
        {
          "type": "server",
          "meta": {
            "game": {
              "id": 2,
              "name": "Counter-Strike 2",
              "steam_id": 730,
              "url": "counter-strike-2"
            },
            "icon": null,
            "id": 1,
            "name": "Example CS2 Server"
          }
        }
      ],
      "reactions": [],
      "replays_items": [],
      "replays_items_count": 0
    }
  ]
}